aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils
diff options
context:
space:
mode:
Diffstat (limited to 'test/common-utils')
-rw-r--r--test/common-utils/configure_zsh_no_template_first_step.sh12
-rw-r--r--test/common-utils/configure_zsh_no_template_second_step.sh (renamed from test/common-utils/configure_zsh_no_template.sh)5
-rw-r--r--test/common-utils/scenarios.json16
3 files changed, 27 insertions, 6 deletions
diff --git a/test/common-utils/configure_zsh_no_template_first_step.sh b/test/common-utils/configure_zsh_no_template_first_step.sh
new file mode 100644
index 0000000..d26874d
--- /dev/null
+++ b/test/common-utils/configure_zsh_no_template_first_step.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "default-zsh-with-no-zshrc" bash -c "[ ! -e ~/.zshrc ]"
+
+# Report result
+reportResults
diff --git a/test/common-utils/configure_zsh_no_template.sh b/test/common-utils/configure_zsh_no_template_second_step.sh
index c62cae9..734fa66 100644
--- a/test/common-utils/configure_zsh_no_template.sh
+++ b/test/common-utils/configure_zsh_no_template_second_step.sh
@@ -4,12 +4,11 @@ set -e
# Optional: Import test library
source dev-container-features-test-lib
-
# Definition specific tests
function file_not_overridden() {
- cat ~/.zshrc | grep 'alias fnomockalias=' | grep testingmock
+ cat $1 | grep 'alias fnomockalias=' | grep testingmock
}
-check "default-zsh-with-no-zshrc" file_not_overridden
+check "default-zsh-with-no-zshrc" file_not_overridden /home/devcontainer/.zshrc
# Report result
reportResults
diff --git a/test/common-utils/scenarios.json b/test/common-utils/scenarios.json
index 904a47b..d7b296d 100644
--- a/test/common-utils/scenarios.json
+++ b/test/common-utils/scenarios.json
@@ -115,10 +115,20 @@
}
}
},
- "configure_zsh_no_template": {
+ "configure_zsh_no_template_second_step": {
"image": "mcr.microsoft.com/devcontainers/base:ubuntu",
- "postCreateCommand": "echo alias fnomockalias=testingmock >> /root/.zshrc",
- "remoteUser": "root",
+ "postCreateCommand": "echo alias fnomockalias=testingmock >> /home/devcontainer/.zshrc",
+ "remoteUser": "devcontainer",
+ "features": {
+ "common-utils": {
+ "installZsh": true,
+ "installOhMyZshConfig": false
+ }
+ }
+ },
+ "configure_zsh_no_template_first_step": {
+ "image": "debian:bullseye",
+ "remoteUser": "devcontainer",
"features": {
"common-utils": {
"installZsh": true,